### Method

# EDataServer SourceAuthentication set_is_external

since: 3.36

#### Declaration [src]

    void
    e_source_authentication_set_is_external (
      ESourceAuthentication* extension,
      gboolean is_external
    )

#### Description [src]

Set if the authentication is done by an external application such as a Single Sign On application (e.g. GNOME Online Accounts).

Available since: 3.36

Sets property | `EDataServer.SourceAuthentication:is-external`

#### Parameters

`is_external`

  Type: `gboolean`

  `TRUE` if the authentication is done using an external application, `FALSE` otherwise.